> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Stores

GET https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores

This endpoint allows you to retrieve all stores under your franchise.

Reference: https://docs.bigcommerce.com/developer/docs/beta/powered-by/api-reference/stores/get-stores

## Authentication

- `X-Auth-Client` header (required) — The client ID of the franchise API account.
- `X-Auth-Token` header (required) — An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

## Request

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

Success

- `data` (list of StoresGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `meta` (StoresGetResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 401 Unauthorized Error

Unauthorized If a franchise makes a request with a `client_id` and access token that do not belong together or are expired, a 401 Unauthorized Credentials response is returned.

- `status` (double, required)
- `title` (string, required)
- `type` (string, required)

### 404 Not Found Error

If the requested account resource is not found for the franchise, return a 404 Not Found.

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)

### 502 Bad Gateway Error

Bad Gateway If something happens during the request that causes it to fail, a 502 response is returned. Submit a new get request. If it continues to fail, check the BigCommerce system status [here](http://status.bigcommerce.com/). A service is likely down and the request needs to be made again when the service is back up.

- `status` (double, required)
- `title` (string, required)
- `type` (string, required)

### 503 Service Unavailable Error

Service Unavailable If this occurs, retry the request. If you are unable to successfully make a request, please check the BigCommerce system status [here](http://status.bigcommerce.com/). A service is likely down and the request needs to be made again when the service is back up.

- `status` (double, optional)
- `title` (string, optional)
- `type` (string, optional)
- `errors` (StoresGetResponsesContentApplicationJsonSchemaErrors, optional)

## Types

### StoresGetResponsesContentApplicationJsonSchemaDataItems

- `status` (string, optional) — Store’s current workflow status (Active, Cancelled, Suspended, etc.)
- `id` (string, optional) — External id of the store, as provided by partner upon store creation
- `account_id` (string, optional) — External id of the account to which the store belongs, as provided by partner upon account creation
- `name` (string, optional) — Name of the store
- `country` (string, optional) — Country where store is located
- `allocated_at` (string, optional) — Date on which store was provisioned
- `cancels_on` (any, optional) — Date on which store cancels, if applicable
- `expires_at` (string, optional)
- `primary_hostname` (string, optional) — Main domain of store
- `canonical_hostname` (string, optional) — Permanent domain of store
- `store_launched` (string, optional) — Specifies if the merchant launched their BigCommerce store

### StoresGetResponsesContentApplicationJsonSchemaMeta

- `pagination` (StoresGetResponsesContentApplicationJsonSchemaMetaPagination, optional)

### StoresGetResponsesContentApplicationJsonSchemaErrors

### StoresGetResponsesContentApplicationJsonSchemaMetaPagination

- `total` (double, optional)
- `count` (double, optional)
- `per_page` (double, optional)
- `current_page` (double, optional)
- `total_pages` (double, optional)
- `links` (StoresGetResponsesContentApplicationJsonSchemaMetaPaginationLinks, optional)

### StoresGetResponsesContentApplicationJsonSchemaMetaPaginationLinks

- `next` (string, optional)
- `current` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "status": "suspended",
      "id": "S-0001934",
      "account_id": "S-1234",
      "name": "Husky",
      "country": "US",
      "allocated_at": "2018-05-23 14:04:34.0",
      "expires_at": "2018-06-23",
      "primary_hostname": "www.husky.com",
      "canonical_hostname": "store-da234.mybigcommerce.com"
    },
    {
      "status": "active",
      "id": "S-0001936",
      "account_id": "S-1234",
      "name": "HuskyPro",
      "country": "US",
      "allocated_at": "2018-06-23 14:04:34.0",
      "expires_at": "2017-06-23",
      "primary_hostname": "www.huskypro.com",
      "canonical_hostname": "store-da236.mybigcommerce.com"
    }
  ],
  "meta": {
    "pagination": {
      "total": 240,
      "count": 50,
      "per_page": 50,
      "current_page": 1,
      "total_pages": 5,
      "links": {
        "next": "?page=2&limit=50",
        "current": "?page=1&limit=50"
      }
    }
  }
}
```

**SDK Code**

```python Example
import requests

url = "https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores"

headers = {
    "Accept": "application/json",
    "X-Auth-Client": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Client': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Client", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Client"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores")
  .header("Accept", "application/json")
  .header("X-Auth-Client", "<apiKey>")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Client' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Client", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Example
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Client": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```